'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addAction = addAction;
exports.removeAction = removeAction;
exports.reset = reset;
var Actions = {};

exports.default = Actions;
function addAction(actionName, action, sandboxName) {
  if (sandboxName) {
    if (typeof Actions[sandboxName] === 'function') {
      throw new Error('An action called "' + sandboxName + '" already exists! Please pick another sandbox name!');
    }
    Actions[sandboxName] = Actions[sandboxName] || {};
    if (Actions[sandboxName][actionName]) {
      throw new Error('An action called "' + actionName + '" in the ' + sandboxName + ' sandbox already exists! Please pick another action name!');
    }

    Actions[sandboxName][actionName] = function (payload) {
      return action(payload);
    };
    return;
  }

  if (Actions[actionName]) {
    throw new Error('An action called "' + actionName + '" already exists! Please pick another name!');
  }
  Actions[actionName] = function (payload) {
    return action(payload);
  };
}

function removeAction(actionName, sandboxName) {
  if (sandboxName) {
    delete Actions[sandboxName][actionName];
    return;
  }
  delete Actions[actionName];
}

function reset() {
  for (var key in Actions) {
    if (Actions.hasOwnProperty(key)) {
      delete Actions[key];
    }
  }
}